#ifndef SOUNDSTREAM_HPP
#define SOUNDSTREAM_HPP

static const int SOUND_BUFFER_SIZE = 800;
static const int SOUND_BUFFER_SIZE_HALF = SOUND_BUFFER_SIZE / 2;
static const int SOUND_FREQUENCY = 11025;

void InitializeSoundStream();
void FinalizeSoundStream(void);
void UpdateSoundStream(void);
int GetSoundStreamWritableSize(void);
bool WriteSoundStream(const unsigned char* buffer);

#endif
